CifFileUtil.h File Reference
`#include <string>`
`#include <rcsb/DicFile.h>`
`#include <rcsb/CifFile.h>`
Include dependency graph for CifFileUtil.h:

Go to the source code of this file.

## Functions

DicFile * | GetDictFile (DicFile *ddlFileP, const std::string &dictFileName, const std::string &dictSdbFileName=std::string(), const bool verbose=false, const eFileMode fileMode=READ_MODE)
void | CheckDict (DicFile *dictFileP, DicFile *ddlFileP, const string &dictFileName, const bool extraDictChecks=false)
void | CheckCif (CifFile *cifFileP, DicFile *dictFileP, const string &cifFileName, const bool extraCifChecks=false)
DicFile * | ParseDict (const std::string &dictFileName, DicFile *ddlFileP=NULL, const bool verbose=false)
CifFile * | ParseCif (const std::string &fileName, const bool verbose=false, const Char::eCompareType caseSense=Char::eCASE_SENSITIVE, const unsigned int maxLineLength=CifFile::STD_CIF_LINE_LENGTH, const std::string &nullValue=CifString::UnknownValue, const std::string &parseLogFileName=std::string())
CifFile * | ParseCifString (const std::string &cifString, const bool verbose=false, const Char::eCompareType caseSense=Char::eCASE_SENSITIVE, const unsigned int maxLineLength=CifFile::STD_CIF_LINE_LENGTH, const std::string &nullValue=CifString::UnknownValue)
void | DataCorrection (CifFile &cifFile, DicFile &dicRef)

## Function Documentation

## CheckCif()

void CheckCif | ( | CifFile * | cifFileP,
|  | DicFile * | dictFileP,
|  | const string & | cifFileName,
|  | const bool | extraCifChecks = `false`
| ) |  |

## CheckDict()

void CheckDict | ( | DicFile * | dictFileP,
|  | DicFile * | ddlFileP,
|  | const string & | dictFileName,
|  | const bool | extraDictChecks = `false`
| ) |  |

## DataCorrection()

void DataCorrection | ( | CifFile & | cifFile,
|  | DicFile & | dicRef
| ) |  |

Corrects a CIF file with respect to the following:

- Sets proper casing of the case-insensitive enumerations

Parameters

  [in] | dicRef | - reference to a dictionary file. The check is done against the first block in the dictionary file.

Returns
  None

Precondition
  None

Postcondition
  None

Exceptions

## GetDictFile()

DicFile* GetDictFile | ( | DicFile * | ddlFileP,
|  | const std::string & | dictFileName,
|  | const std::string & | dictSdbFileName = `std::string()`,
|  | const bool | verbose = `false`,
|  | const eFileMode | fileMode = `READ_MODE`
| ) |  |

## ParseCif()

CifFile* ParseCif | ( | const std::string & | fileName,
|  | const bool | verbose = `false`,
|  | const Char::eCompareType | caseSense = `Char::eCASE_SENSITIVE`,
|  | const unsigned int | maxLineLength = `CifFile::STD_CIF_LINE_LENGTH`,
|  | const std::string & | nullValue = `CifString::UnknownValue`,
|  | const std::string & | parseLogFileName = `std::string()`
| ) |  |

## ParseCifString()

CifFile* ParseCifString | ( | const std::string & | cifString,
|  | const bool | verbose = `false`,
|  | const Char::eCompareType | caseSense = `Char::eCASE_SENSITIVE`,
|  | const unsigned int | maxLineLength = `CifFile::STD_CIF_LINE_LENGTH`,
|  | const std::string & | nullValue = `CifString::UnknownValue`
| ) |  |

## ParseDict()

DicFile* ParseDict | ( | const std::string & | dictFileName,
|  | DicFile * | ddlFileP = `NULL`,
|  | const bool | verbose = `false`
| ) |  |